Subject: Some questions about areas

From: John Goerzen <[email-masked]>
Date: Tue, 17 Aug 2021 00:19:25 -0500

Hello,

I'm working on a tool to use NNCP areas to facilitate syncing of 
git repos.  I'm pretty excited about this use case.

I have a few questions - perhaps the answers would also make good 
additions to the documentation.

1) What is the interaction between "subs" and "via"?  If I list a 
node in subs and have a default via for it elsewhere in the 
config, is that via used?

2) I'm a little unclear on the difference between having a machine 
that lacks the keypair and one that lacks the area entirely.  I 
think it may have something to do with the answer to #1?  Is it 
that such a machine can only route packets in a traditional "via" 
way?  (That is, the originator of the packet [or some other 
area-aware system] would have to do the routing to end nodes 
directly?)

Thanks,

John